//+-----------------------------------------------------------------------------+
//| Copyright (C) 2013 REGEO (http://www.regeo.uji.es/)
//|
//| This program is free software
//| You can redistribute it and/or modify it under the terms of the GNU General Public License,
//| as published by the Free Software Foundation.
//| 
//| This program is distributed in the hope that it will be useful,
//| but WITHOUT ANY WARRANTY; without even the implied warranty of
//| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//+----------------------------------------------------------------------------*/

#include <vector>
#include <algorithm>  //sort

#include "Tools_Vector.h"

// VECTOR MANAGEMENT

bool IsValueInVector(long Value, std::vector<long> V, long &Position)
// Searches for the value "Value" in the vector V.
// Returns "true" if the value is found (together with its position "Position")
// Returns "false" otherwise
{
	bool found= false;
	Position= -1;   //Not valid value

	for(long i=0; i<(long)V.size(); i++){
		if (V[i] == Value){
			found= true;
			Position= i;
			break;
		}
	}
	return found;
}


bool IsValueInVector(long Value, std::vector<long> V)
//Returns true if "Value" is in vector V
{
	for(long i=0; i<(long)V.size(); i++){
		if (V[i] == Value) return true;
	}
	return false;
}


//bool CompareLongSortMinorFirst(long A, long B)
//// AUXILIAR for "sort"
////Returns true if long A goes before than long B
//{return (A < B);}
//
//
//std::vector<long> SortMinorFirst(std::vector<long> V)
////Returns long vector V sorted from minor to major
//{
//	sort(V.begin(), V.end(), CompareLongSortMinorFirst);
//	return V;
//}
//
//
//bool CompareDoubleSortMinorFirst(double A, double B)
//// AUXILIAR for "sort"
////Returns true if double A goes before than double B
//{return (A < B);}
//
//
//std::vector<double> SortMinorFirst(std::vector<double> V)
////Returns double vector V sorted from minor to major
//{
//	sort(V.begin(), V.end(), CompareDoubleSortMinorFirst);
//	return V;
//}
//
//
//bool CompareLongSortMajorFirst(long A, long B)
//// AUXILIAR for "sort"
////Returns true if long A goes behind than long B
//{return (A > B);}
//
//
//std::vector<long> SortMajorFirst(std::vector<long> V)
////Returns long vector V sorted from major to minor
//{
//	sort(V.begin(), V.end(), CompareLongSortMinorFirst);
//	return V;
//}
//
//
//bool CompareDoubleSortMajorFirst(double A, double B)
//// AUXILIAR for "sort"
////Returns true if double A goes behind than double B
//{return (A > B);}
//
//
//std::vector<double> SortMajorFirst(std::vector<double> V)
////Returns double vector V sorted from major to minor
//{
//	sort(V.begin(), V.end(), CompareDoubleSortMinorFirst);
//	return V;
//}
